Agara

Get an order by hash

GET/trade/v1/orders/by-hash/{order_hash}

Authorization

personal_access_token orders:read
AuthorizationBearer <token>

Personal access token issued from the web app's Settings → API tokens page. Send as Authorization: Bearer agt_….

In: header

Scope: orders:read

Path Parameters

order_hash*string

EIP-712 order hash supplied when the signed order was placed.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/trade/v1/orders/by-hash/string"
{  "markets": {    "property1": {      "display": {        "market": {},        "outcome": {}      },      "event_slug": "string",      "logo_url": "string",      "market_id": "6364d859-8e1b-477a-bacc-de8305a9292b",      "market_title": "string",      "neg_risk_id": "string",      "outcome_name": "string",      "state": "string"    },    "property2": {      "display": {        "market": {},        "outcome": {}      },      "event_slug": "string",      "logo_url": "string",      "market_id": "6364d859-8e1b-477a-bacc-de8305a9292b",      "market_title": "string",      "neg_risk_id": "string",      "outcome_name": "string",      "state": "string"    }  },  "order": {    "avg_fill_price_micro": "string",    "cancel_requested_at": "2019-08-24T14:15:22Z",    "collateral_amount_micro": "string",    "condition_id": "string",    "created_at": "2019-08-24T14:15:22Z",    "exchange": "AGARA",    "expiration": "2019-08-24T14:15:22Z",    "failure": {      "code": "account_frozen",      "detail": "string",      "recovery": {        "strategy": "none"      },      "title": "string"    },    "internal_id": "c13c6907-8dc3-4479-a9ee-0b258d87c410",    "is_terminal": true,    "original_size_micro": "string",    "price_micro": "string",    "side": "BUY",    "size_matched_micro": "string",    "status": "PENDING",    "token_id": "string",    "type": "LIMIT"  }}